Skip to main content
DELETE
/
components
/
v1
/
offer-design
/
{externalId}
curl -X DELETE \
  'https://api.appcharge.com/components/v1/offer-design/daily-bonus-design' \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'x-publisher-token: <x-publisher-token>'
{
  "id": "68cbf09967ba5ab776c2745e",
  "offerUiType": "PopUp",
  "offerUiSubType": "DailyBonus",
  "name": "Daily Bonus Design",
  "externalId": "daily-bonus-design",
  "backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
  "title": {
    "text": "Your daily bonus!",
    "fontColor": "#FFFFFF",
    "fontSize": 20,
    "fontWeight": "normal"
  }
}
curl -X DELETE \
  'https://api.appcharge.com/components/v1/offer-design/daily-bonus-design' \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'x-publisher-token: <x-publisher-token>'
{
  "id": "68cbf09967ba5ab776c2745e",
  "offerUiType": "PopUp",
  "offerUiSubType": "DailyBonus",
  "name": "Daily Bonus Design",
  "externalId": "daily-bonus-design",
  "backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
  "title": {
    "text": "Your daily bonus!",
    "fontColor": "#FFFFFF",
    "fontSize": 20,
    "fontWeight": "normal"
  }
}

Authorizations

x-publisher-token
string
header
required

Publisher token, as displayed in the Publisher Dashboard.

Path Parameters

externalId
string
required

Design ID that you defined.

Response

Daily bonus design deleted successfully.

id
string

Design ID.

Example:

"68cbf09967ba5ab776c2745e"

offerUiType
enum<string>

Type of offer design.

Available options:
PopUp
Example:

"PopUp"

name
string

Offer design name.

Example:

"Daily Bonus Design Updated"

externalId
string

Design ID that you defined.

Example:

"daily-bonus-design"

backgroundImageUrl
string<url>

Background image URL. For uploaded files, this is the Appcharge-hosted CDN URL. For external image URLs, this is the original image URL served from the provided URL.

Example:

"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background-v2.png"

title
object
externalBackgroundImageUrl
string<url>

Original background image URL when the design uses an external image URL. This URL is used as provided to serve the image.

Example:

"https://cdn.example.com/assets/background.png"

offerUiSubType
enum<string>

Popup design subtype.

Available options:
DailyBonus
Example:

"DailyBonus"